
From: Ingo Molnar <mingo@elte.hu>

the patch below gets rid of APIC_LOCKUP_DEBUG.  It has been in the kernel
for more than 3 years and the message was only reported once during that
period of time - and even in that case it was a side-effect of a really bad
crash.  The lockup workaround works, the debugging code can be moved out.

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/io_apic.c |   21 ---------------------
 1 files changed, 21 deletions(-)

diff -puN arch/i386/kernel/io_apic.c~remove-apic_lockup_debug arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~remove-apic_lockup_debug	2004-05-27 11:27:43.894692264 -0700
+++ 25-akpm/arch/i386/kernel/io_apic.c	2004-05-27 11:27:43.899691504 -0700
@@ -41,8 +41,6 @@
 
 #include "io_ports.h"
 
-#define APIC_LOCKUP_DEBUG
-
 static spinlock_t ioapic_lock = SPIN_LOCK_UNLOCKED;
 
 /*
@@ -1858,30 +1856,11 @@ static void end_level_ioapic_irq (unsign
 	ack_APIC_irq();
 
 	if (!(v & (1 << (i & 0x1f)))) {
-#ifdef APIC_LOCKUP_DEBUG
-		struct irq_pin_list *entry;
-#endif
-
 #ifdef APIC_MISMATCH_DEBUG
 		atomic_inc(&irq_mis_count);
 #endif
 		spin_lock(&ioapic_lock);
 		__mask_and_edge_IO_APIC_irq(irq);
-#ifdef APIC_LOCKUP_DEBUG
-		for (entry = irq_2_pin + irq;;) {
-			unsigned int reg;
-
-			if (entry->pin == -1)
-				break;
-			reg = io_apic_read(entry->apic, 0x10 + entry->pin * 2);
-			if (reg & 0x00004000)
-				printk(KERN_CRIT "Aieee!!!  Remote IRR"
-					" still set after unlock!\n");
-			if (!entry->next)
-				break;
-			entry = irq_2_pin + entry->next;
-		}
-#endif
 		__unmask_and_level_IO_APIC_irq(irq);
 		spin_unlock(&ioapic_lock);
 	}
_
